\documentclass[a4paper]{article}

\title{Testing stuff}
\author{Adrian Roth}

\usepackage{graphicx}

\begin{document}

\maketitle

\section{Testing section}
\input{ subtest.tex}
\begin{figure}[h]
  \centering
  \includegraphics[width=0.2\textwidth]{test_images/xyz.png}
  \caption{This is a test}
  \label{fig:test}
\end{figure}

\section{Testing section}
\begin{figure}[h]
  \centering
  \includegraphics[width=0.2\textwidth]{test_images/xyz}
  \caption{This is a test}
  \label{fig:test2}
\end{figure}
Now I am citing the test \cite{teste}

This is an inline input \input{subtest2.tex}. % comments should be ignored \input{blabla.tex}

\bibliography{test}
\bibliographystyle{plain}

\end{document}
